## r-cran-energy 1.6.1

=== DESCRIPTION ===
Package: energy
Title: E-statistics (energy statistics)
Version: 1.6.1
Date: 2014-02-22
Author: Maria L. Rizzo and Gabor J. Szekely
Description: E-statistics (energy) tests and statistics for comparing
        distributions: multivariate normality, multivariate distance
        components and k-sample test for equal distributions,
        hierarchical clustering by e-distances, multivariate
        independence tests, distance correlation, goodness-of-fit
        tests. Energy- statistics concept based on a generalization of
        Newton's potential energy is due to Gabor J. Szekely.
Maintainer: Maria Rizzo <mrizzo@bgsu.edu>
Imports: boot
License: GPL (>= 2)
Packaged: 2014-02-22 21:13:15 UTC; Maria
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-02-23 08:11:16

## r-cran-energy 1.6.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: energy
 Title: E-statistics (energy statistics)
-Version: 1.6.1
-Date: 2014-02-22
+Version: 1.6.2
+Date: 2014-10-27
 Author: Maria L. Rizzo and Gabor J. Szekely
 Description: E-statistics (energy) tests and statistics for comparing
         distributions: multivariate normality, multivariate distance
@@ -13,7 +13,7 @@
 Maintainer: Maria Rizzo <mrizzo@bgsu.edu>
 Imports: boot
 License: GPL (>= 2)
-Packaged: 2014-02-22 21:13:15 UTC; Maria
 NeedsCompilation: yes
 Repository: CRAN
-Date/Publication: 2014-02-23 08:11:16
+Packaged: 2014-10-27 20:17:58 UTC; Maria
+Date/Publication: 2014-10-28 08:06:43

## r-cran-energy 1.7

=== DESCRIPTION ===
Package: energy
Title: E-Statistics: Multivariate Inference via the Energy of Data
Version: 1.7-12
Date: 2024-08-22
Authors@R: c(
    person("Maria", "Rizzo", , "mrizzo@bgsu.edu", c("aut", "cre")),
    person("Gabor", "Szekely", , , "aut"))
Description: E-statistics (energy) tests and statistics for multivariate and univariate inference,
             including distance correlation, one-sample, two-sample, and multi-sample tests for
             comparing multivariate distributions, are implemented. Measuring and testing
             multivariate independence based on distance correlation, partial distance correlation,
             multivariate goodness-of-fit tests, k-groups and hierarchical clustering based on energy 
             distance, testing for multivariate normality, distance components (disco) for non-parametric 
             analysis of structured data, and other energy statistics/methods are implemented.
Imports: Rcpp (>= 0.12.6), stats, boot, gsl
LinkingTo: Rcpp
Suggests: MASS, CompQuadForm, knitr, rmarkdown
Depends: R (>= 3.1)
URL: https://github.com/mariarizzo/energy
License: GPL (>= 2)
LazyData: true
NeedsCompilation: yes
Repository: CRAN
RoxygenNote: 7.2.3
Packaged: 2024-08-23 23:12:00 UTC; maria
Author: Maria Rizzo [aut, cre],
  Gabor Szekely [aut]
Maintainer: Maria Rizzo <mrizzo@bgsu.edu>
Date/Publication: 2024-08-24 00:10:02 UTC

## r-cran-energy 1.7-5

=== debian/changelog ===
r-cran-energy (1.7-5-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 13 Aug 2018 20:59:18 -0500

r-cran-energy (1.7-4-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/compat: Increase level to 9
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 29 May 2018 21:56:12 -0500

r-cran-energy (1.7-2-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 
  * debian/compat: Increase to 10

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 20 Sep 2017 06:21:48 -0500

r-cran-energy (1.7-0-2) unstable; urgency=medium

  * Rebuilt under R 3.4.0 to update registration for .C() and .Fortran()
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 04 Jun 2017 19:12:36 -0500

r-cran-energy (1.7-0-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Added (Build-)Depends: on r-cran-rcpp

  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 31 Aug 2016 06:56:53 -0500

r-cran-energy (1.6.2-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 29 Oct 2014 16:26:41 -0500

r-cran-energy (1.6.1-2) unstable; urgency=low

  * debian/control: Add Depends: on r-cran-boot		(Closes: #752137)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 22 Jun 2014 06:49:55 -0500

r-cran-energy (1.6.1-1) unstable; urgency=low

  * Initial Debian release 				(Closes: #742792)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 28 Mar 2014 07:02:44 -0500

=== debian/control ===
Source: r-cran-energy
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.1), dh-r, r-cran-boot, r-cran-rcpp
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/edd/r-cran-energy
Vcs-Git: https://salsa.debian.org/edd/r-cran-energy.git
Homepage: https://cran.r-project.org/package=energy

Package: r-cran-energy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}, r-cran-boot, r-cran-rcpp
Description: GNU R package for energy statistics for distribution comparison
 The energy package implements E-statistics (energy) tests and
 statistics for comparing distributions: multivariate normality,
 multivariate distance components and k-sample test for equal
 distributions, hierarchical clustering by e-distances, multivariate
 independence tests, distance correlation, goodness-of-fit
 tests. Energy-statistics concept based on a generalization of
 Newton's potential energy is due to Gabor J. Szekely.

## r-cran-energy 1.7-6

=== debian/changelog ===
r-cran-energy (1.7-6-2) unstable; urgency=medium

  * Source-only upload
  
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 17 Aug 2019 09:28:39 -0500

r-cran-energy (1.7-6-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 14 Jul 2019 11:09:20 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.1), dh-r, r-cran-boot, r-cran-rcpp
-Standards-Version: 4.1.5
+Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.1), dh-r, r-cran-boot, r-cran-rcpp
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-energy
 Vcs-Git: https://salsa.debian.org/edd/r-cran-energy.git
 Homepage: https://cran.r-project.org/package=energy

## r-cran-energy 1.7-7

=== debian/changelog ===
r-cran-energy (1.7-7-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:24:18 +0100

r-cran-energy (1.7-7-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 15 Dec 2019 08:08:00 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.1), dh-r, r-cran-boot, r-cran-rcpp
-Standards-Version: 4.4.0
+Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.2), dh-r, r-cran-boot, r-cran-rcpp
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-energy
 Vcs-Git: https://salsa.debian.org/edd/r-cran-energy.git
 Homepage: https://cran.r-project.org/package=energy

## r-cran-energy 1.7-8

=== debian/changelog ===
r-cran-energy (1.7-8-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

  * debian/control: Add new (Build-)Depends: r-cran-gsl

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 23 Feb 2021 16:49:32 -0600

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.2), dh-r, r-cran-boot, r-cran-rcpp
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.4), dh-r, r-cran-boot, r-cran-rcpp, r-cran-gsl
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-energy
 Vcs-Git: https://salsa.debian.org/edd/r-cran-energy.git
 Homepage: https://cran.r-project.org/package=energy
 
 Package: r-cran-energy
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}, r-cran-boot, r-cran-rcpp
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}, r-cran-boot, r-cran-rcpp, r-cran-gsl
 Description: GNU R package for energy statistics for distribution comparison
  The energy package implements E-statistics (energy) tests and
  statistics for comparing distributions: multivariate normality,

## r-cran-energy 1.7-9

=== debian/changelog ===
r-cran-energy (1.7-9-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 29 Jan 2022 08:05:01 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.4), dh-r, r-cran-boot, r-cran-rcpp, r-cran-gsl
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.2), dh-r, r-cran-boot, r-cran-rcpp, r-cran-gsl
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-energy
 Vcs-Git: https://salsa.debian.org/edd/r-cran-energy.git
 Homepage: https://cran.r-project.org/package=energy

## r-cran-energy 1.7-10

=== debian/changelog ===
r-cran-energy (1.7-10-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 30 Apr 2022 08:33:58 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.2), dh-r, r-cran-boot, r-cran-rcpp, r-cran-gsl
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.2.0), dh-r, r-cran-boot, r-cran-rcpp, r-cran-gsl
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-energy
 Vcs-Git: https://salsa.debian.org/edd/r-cran-energy.git

## r-cran-energy 1.7-11

=== debian/changelog ===
r-cran-energy (1.7-11-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 12)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 07 Jan 2023 11:29:27 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.2.0), dh-r, r-cran-boot, r-cran-rcpp, r-cran-gsl
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), dh-r, r-cran-boot, r-cran-rcpp, r-cran-gsl
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-energy
 Vcs-Git: https://salsa.debian.org/edd/r-cran-energy.git
 Homepage: https://cran.r-project.org/package=energy

## r-cran-energy 1.7-12

=== debian/changelog ===
r-cran-energy (1.7-12-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 12)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 29 Aug 2024 08:37:23 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), dh-r, r-cran-boot, r-cran-rcpp, r-cran-gsl
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.1), dh-r, r-cran-boot, r-cran-rcpp, r-cran-gsl
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-energy
 Vcs-Git: https://salsa.debian.org/edd/r-cran-energy.git
 Homepage: https://cran.r-project.org/package=energy

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-energy package
# Copyright 2003 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/energy_([-\d\.]*)\.tar.gz
